Skip to main content
POST
/
signable-templates
/
{templateId}
/
places
Replace the places array on a signable template
curl --request POST \
  --url https://api.artu.ai/signable-templates/{templateId}/places \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "places": [
    {
      "key": "<string>",
      "page": 0,
      "top": 1,
      "left": 1,
      "width": 123,
      "height": 123,
      "label": "<string>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "<string>",
  "scope": "<string>",
  "name": "<string>",
  "description": "<string>",
  "filename": "<string>",
  "storagePath": "<string>",
  "sha256": "<string>",
  "size": 0,
  "version": 0,
  "activeFrom": "2023-11-07T05:31:56Z",
  "supersededAt": "2023-11-07T05:31:56Z",
  "supersededByTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "places": [
    {
      "key": "<string>",
      "page": 0,
      "top": 1,
      "left": 1,
      "width": 123,
      "height": 123,
      "label": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "archivedBy": "<string>",
  "isDeleted": true,
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

templateId
string<uuid>
required

Body

application/json
places
object[]
required
Required array length: 1 - 50 elements

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
environment
enum<string>
required
Available options:
test,
live
category
enum<string>
required
Available options:
privacy_notice,
nda,
contract,
declaration,
other
scope
string
required
name
string
required
description
string | null
required
filename
string
required
storagePath
string
required
sha256
string
required
size
integer
required
Required range: -9007199254740991 < x <= 9007199254740991
version
integer
required
Required range: -9007199254740991 < x <= 9007199254740991
status
enum<string>
required
Available options:
active,
superseded,
archived
activeFrom
string<date-time>
required
supersededAt
string<date-time> | null
required
supersededByTemplateId
string<uuid> | null
required
places
object[]
required
Maximum array length: 50
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
archivedAt
string<date-time> | null
required
archivedBy
string | null
required
isDeleted
boolean
required
deletedAt
string<date-time> | null
required